<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends  Authenticatable
{
	use Notifiable;

	/**
	 * The country this user belongs to
	 */
	public function country()
	{
		return $this->belongsTo('App\Models\Country');
	}

	/**
	 * Only query active categories
	 */
	public function scopeActive()
	{
		return $this->where('active',TRUE);
	}

	public function getNameAttribute($value)
	{
		return $this->firstname.' '.$this->lastname;
	}
}